%global gem_name cucumber-wire
%{?_with_bootstrap: %global bootstrap 1}
Name:                rubygem-%{gem_name}
Version:             6.2.0
Release:             1
Summary:             Wire protocol for Cucumber
License:             MIT
URL:                 http://cucumber.io
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
Source1:             https://github.com/cucumber/cucumber-ruby-wire/archive/refs/tags/v%{version}.tar.gz
BuildRequires:       ruby(release) rubygems-devel ruby
%if ! 0%{?bootstrap}
BuildRequires:       rubygem(aruba) rubygem(cucumber) rubygem(rspec) rubygem(did_you_mean)
%endif
BuildArch:           noarch
%description
Wire protocol for Cucumber.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -b1

%gemspec_remove_dep -g cucumber-cucumber-expressions "~> 14.0", ">= 14.0.0"
%gemspec_add_dep -g cucumber-cucumber-expressions ">= 14.0"

%gemspec_remove_dep -g  cucumber-messages "~> 17.1", ">= 17.1.1"
%gemspec_add_dep -g cucumber-messages ">= 17.0"

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
%if ! 0%{?bootstrap}

%check
pushd .%{gem_instdir}

rspec -Ilib spec

ln -s %{_builddir}/cucumber-ruby-wire-6.2.0/features features

RUBYOPT="-I$(pwd)/lib" cucumber --format progress --publish-quiet

popd
%endif

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/LICENSE

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/spec

%changelog
* Mon Jan 9 2023 liyanan <liyanan32@h-partners.com> - 6.2.0-1
- Update to 6.2.0

* Wed Mar 02 2022 baizhonggui <baizhonggui@huawei.com> - 0.0.1-2
- Add support ruby 3.0 for fixing build error

* Mon Aug 24 2020 liyanan <liyanan32@huawei.com> - 0.0.1-1
- package init
